# platformbiz
平台业务模块，包括业务功能和对应的数据表设计

## 依赖

* 记账模块[accounting](https://git.kaiyuancloud.cn/yumoqing/accounting)
* 鉴权模块[rbac](https://git.kaiyuancloud.cn/yumoqing/rbac)
* 支付模块[payment](https://git.kaiyuancloud.cn/yumoqing/payment)

## 功能

### 平台机构功能
#### 供应商管理
##### 供应商协议
##### 协议明细
##### 阶梯折扣管理
##### 分销产品管理
##### 供应商接口测试

#### 机构用户管理

### 客户机构功能
#### 账户管理
##### 充值
##### 提现
##### 账户明细查询
#### 订单管理
##### 订单查询
##### 取消订单
##### 订单支付
##### 重复购买

#### 账单管理
##### 账单查询
#### 资源管理
##### 资源续费
##### 资源退订
##### 重复购买
##### 资源入口

#### 产品浏览
##### 产品比价
##### 产品种类浏览
##### 产品热卖
##### 商户推荐

#### 购买
##### 产品配置
##### 产品询价
##### 加入购物车
##### 立即购买
##### 支付
##### 记账
###### 记账角色
* 客户：产品购买方
* 商户：产品售卖方
* 分销方：产品分销协议分销方
* 供应方：产品分销协议供应方
* 平台：算力平台
###### 分录设置
* 借： 客户 客户资金账户 			交易金额
* 贷： 商户 商户交易费支出			交易金额 * 交易费率
* 借： 平台 平台交易费收入			交易金额 * 交易费率
* 借： 商户 商户交易费支出			交易金额 * 交易费率
* 借： 分销方-供应方 商户采购成本 	采购金额
* 贷： 分销方 客户资金账户			交易金额 - 采购金额 - （交易金额 * 交易费率）
* 借*： 商户-分销方 供应商分销收入	交易金额1
* 贷*： 商户-供应方 商户采购成本	采购成本1
* 贷*： 商户		客户资金账户	交易金额1 - 采购成本1

#### 参与商户营销
##### 商户获客营销
##### 参与售卖营销

### 商户机构功能

#### 成为商户
在客户用户界面点击【成为商户】，系统自动将此平台客户添加商户角色，成为平台商户
并为其开通商户经营所需的记账账号。
与平台或平台其他商户（供应商）线下协商成为其产品的分销商

#### 添加不同角色的用户

#### 发展分销商户（自己成为分销商户的供应商）
新添一个分销协议，在协议中添加协议明细，设置分销折扣，或阶梯折扣，将自己的产品授权给分销商销售。
##### 供应商添加分销协议
##### 供应商添加协议明细
##### 供应商添加协议明细步骤（只有阶梯折扣协议才需要）
##### 供应商添加分销产品到分销协议
##### 商户设置一个无指定客户的分销协议
#### 自有产品管理
##### 添加自由产品
##### 自有产品区域管理
##### 自有产品数量管理
##### 自有产品计价管理
##### 自有产品计价表管理

#### 设置产品销售折扣或价格
##### 公用产品折扣设置
为所有客户提供一个以产品计价为基础的折扣
##### 为指定客户设置特殊折扣

#### 主推产品管理
#### 大屏功能
##### 展示位置设置
##### 展示指标管理
##### 大屏风格设置

#### 短信管理
##### 开通短信功能
##### 通知场景管理
##### 短信计费

### 产品购买
#### 标的
卖房提供的产品
#### 参与方
* 卖房
* 买房
* 平台
* 供应方
#### 分录设置
借：买方-